Revenue Reporting API
Freight Billing
GET
/
revenue
/
reporting
/
freight-billing
Freight Billing
curl --request GET \
--url https://api-lg-k.arms.cedarai.com/revenue/reporting/freight-billing \
--header 'Carrier: <api-key>' \
--header 'x-arms-api-key: <api-key>' \
--header 'x-arms-assume-user: <api-key>'import requests
url = "https://api-lg-k.arms.cedarai.com/revenue/reporting/freight-billing"
headers = {
"x-arms-api-key": "<api-key>",
"x-arms-assume-user": "<api-key>",
"Carrier": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-arms-api-key': '<api-key>',
'x-arms-assume-user': '<api-key>',
Carrier: '<api-key>'
}
};
fetch('https://api-lg-k.arms.cedarai.com/revenue/reporting/freight-billing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-lg-k.arms.cedarai.com/revenue/reporting/freight-billing",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Carrier: <api-key>",
"x-arms-api-key: <api-key>",
"x-arms-assume-user: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-lg-k.arms.cedarai.com/revenue/reporting/freight-billing"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-arms-api-key", "<api-key>")
req.Header.Add("x-arms-assume-user", "<api-key>")
req.Header.Add("Carrier", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-lg-k.arms.cedarai.com/revenue/reporting/freight-billing")
.header("x-arms-api-key", "<api-key>")
.header("x-arms-assume-user", "<api-key>")
.header("Carrier", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-lg-k.arms.cedarai.com/revenue/reporting/freight-billing")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-arms-api-key"] = '<api-key>'
request["x-arms-assume-user"] = '<api-key>'
request["Carrier"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"nextPageToken": "<string>",
"rows": [
{
"billTo": {
"accountNumber": "<string>",
"address": {
"city": "<string>",
"country": "<string>",
"lines": [
"<string>"
],
"postalCode": "<string>",
"state": "<string>"
},
"cif": "<string>",
"name": "<string>"
},
"document": {
"billingDate": "<string>",
"number": "<string>",
"revision": 123,
"transactionId": "<string>",
"type": "INVOICE"
},
"leadCar": {
"initial": "<string>",
"number": "<string>"
},
"leadWaybill": {
"date": "<string>",
"number": "<string>"
},
"methodOfPayment": "PREPAID",
"reportDate": "<string>",
"totalCharges": {
"amount": "<string>",
"currency": "<string>"
}
}
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Query Parameters
Was this page helpful?
⌘I
Freight Billing
curl --request GET \
--url https://api-lg-k.arms.cedarai.com/revenue/reporting/freight-billing \
--header 'Carrier: <api-key>' \
--header 'x-arms-api-key: <api-key>' \
--header 'x-arms-assume-user: <api-key>'import requests
url = "https://api-lg-k.arms.cedarai.com/revenue/reporting/freight-billing"
headers = {
"x-arms-api-key": "<api-key>",
"x-arms-assume-user": "<api-key>",
"Carrier": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-arms-api-key': '<api-key>',
'x-arms-assume-user': '<api-key>',
Carrier: '<api-key>'
}
};
fetch('https://api-lg-k.arms.cedarai.com/revenue/reporting/freight-billing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-lg-k.arms.cedarai.com/revenue/reporting/freight-billing",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Carrier: <api-key>",
"x-arms-api-key: <api-key>",
"x-arms-assume-user: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-lg-k.arms.cedarai.com/revenue/reporting/freight-billing"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-arms-api-key", "<api-key>")
req.Header.Add("x-arms-assume-user", "<api-key>")
req.Header.Add("Carrier", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-lg-k.arms.cedarai.com/revenue/reporting/freight-billing")
.header("x-arms-api-key", "<api-key>")
.header("x-arms-assume-user", "<api-key>")
.header("Carrier", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-lg-k.arms.cedarai.com/revenue/reporting/freight-billing")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-arms-api-key"] = '<api-key>'
request["x-arms-assume-user"] = '<api-key>'
request["Carrier"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"nextPageToken": "<string>",
"rows": [
{
"billTo": {
"accountNumber": "<string>",
"address": {
"city": "<string>",
"country": "<string>",
"lines": [
"<string>"
],
"postalCode": "<string>",
"state": "<string>"
},
"cif": "<string>",
"name": "<string>"
},
"document": {
"billingDate": "<string>",
"number": "<string>",
"revision": 123,
"transactionId": "<string>",
"type": "INVOICE"
},
"leadCar": {
"initial": "<string>",
"number": "<string>"
},
"leadWaybill": {
"date": "<string>",
"number": "<string>"
},
"methodOfPayment": "PREPAID",
"reportDate": "<string>",
"totalCharges": {
"amount": "<string>",
"currency": "<string>"
}
}
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}